eID middleware |

# be.portugal.eid.PTEID_SisFullDoc Class Reference

Base class for the full document Sis. More...

Inheritance diagram for be.portugal.eid.PTEID_SisFullDoc:

List of all members.

## Public Member Functions
synchronized void | delete ()
## Protected Member Functions
| PTEID_SisFullDoc (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (PTEID_SisFullDoc obj)

## Detailed Description

Base class for the full document Sis.

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_SisFullDoc.PTEID_SisFullDoc | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_SisFullDoc.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_XMLDoc.

References be.portugal.eid.PTEID_Object.swigCMemOwn.

void be.portugal.eid.PTEID_SisFullDoc.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_XMLDoc.

static long be.portugal.eid.PTEID_SisFullDoc.getCPtr | ( | PTEID_SisFullDoc | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_SisFullDoc.swigCPtr.